# Unshipped packages

CentOS Stream only ships a subset of all available packages that can be build from its sources, reflecting the set of packages that are supported in Red Hat Enterprise Linux (RHEL). Some subpackages are only shipped in the CRB repository (e.g. most `-devel` packages), while others are excised altogether. It's worth noting that these _unshipped packages_ are still built (and their artifacts can normally be found in the [CentOS Stream build system](https://kojihub.stream.centos.org/koji/)). The set of packages that ends up being included in the distribution is configured in [Pungi](https://gitlab.com/redhat/centos-stream/release-engineering/pungi-centos).

## Requesting a package to be shipped

To request an unshipped package for inclusion, please file an issue in [Jira](https://issues.redhat.com) under the RHEL project; set the _component_ to the source package name, and the _version_ to the corresponding CentOS Stream version (e.g. CentOS Stream 9). Explain in the issue description why you would like the package to be shipped; if the missing package is blocking an EPEL package, please state so and link to the corresponding issue on the EPEL side (e.g. a package review request). As a stopgap, you might also want to create a temporary `-epel` package to provide the missing subpackages (see the [EPEL docs](https://docs.fedoraproject.org/en-US/epel/epel-policy-missing-sub-packages/#missing_built_sub-packages) for details).
